package com.sunxung.factoring.entity.refundsManagement.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 公司主体表（OA）
 * </p>
 *
 * @author Yafan Wang
 * @since 2023-09-04
 */
@TableName("oa_company_entity_info")
public class OaCompanyEntityInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 公司归属 0 长银系 1 长银贸易公司
     */
    @TableField("company_ownership")
    private Integer companyOwnership;

    /**
     * 公司名称
     */
    @TableField("company_name")
    private String companyName;

    /**
     * 简拼
     */
    @TableField("simple_pinyin")
    private String simplePinyin;

    /**
     * 全拼
     */
    @TableField("full_pinyin")
    private String fullPinyin;

    /**
     * 公司归属部门
     */
    @TableField("sys_org_id")
    private Long sysOrgId;

    /**
     * 要复制的公司主体id
     */
    @TableField(exist = false)
    private Long copyCompanyEntity;

    /**
     * 公司名称
     */
    @TableField(exist = false)
    private String companyNameCount;

    public Long getSysOrgId() {
        return sysOrgId;
    }

    public void setSysOrgId(Long sysOrgId) {
        this.sysOrgId = sysOrgId;
    }

    public Integer getCompanyOwnership() {
        return companyOwnership;
    }

    public void setCompanyOwnership(Integer companyOwnership) {
        this.companyOwnership = companyOwnership;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getSimplePinyin() {
        return simplePinyin;
    }

    public void setSimplePinyin(String simplePinyin) {
        this.simplePinyin = simplePinyin;
    }

    public String getFullPinyin() {
        return fullPinyin;
    }

    public void setFullPinyin(String fullPinyin) {
        this.fullPinyin = fullPinyin;
    }

    public Long getCopyCompanyEntity() {
        return copyCompanyEntity;
    }

    public void setCopyCompanyEntity(Long copyCompanyEntity) {
        this.copyCompanyEntity = copyCompanyEntity;
    }

    public String getCompanyNameCount() {
        return companyNameCount;
    }

    public void setCompanyNameCount(String companyNameCount) {
        this.companyNameCount = companyNameCount;
    }

    @Override
    public String toString() {
        return "OaCompanyEntityInfo{" +
                ", companyOwnership=" + companyOwnership +
                ", companyName=" + companyName +
                ", simplePinyin=" + simplePinyin +
                ", fullPinyin=" + fullPinyin +
                "}";
    }
}
